Place an Order for an Account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The ID of the account

Body Params

Each order has a unique identifier generated by Moment. The ID will be returned when an order is placed and can be used to check the status of the order via the GET /v1/trading/order/{id}/ endpoint. Updates on open orders at Moment will also be sent over the real-time API, which is the recommended method of maintaining order state.

string
required

Instrument ISIN

string
required

Client-provided unique ID for the order; for example, to cross-reference with an internal system. Must be unique within the trading day, otherwise duplicate orders will be rejected during pre-trade checks.

amount
object
required

The size of an order, with a specified type indicating how the size is represented. Par sizes represent the size of the order in face value; most corporate bonds have a face value of $1000, so an order with par $3000 would represent an order for 3 bonds. Notional sizes represent the size of the order in current dollar value, so an order with notional $3000 would represent an order to buy or sell $3000 worth of the bond at the current market prices. Currently, only par sizes are supported.

string
enum
required

Represents which side this order is on:

  • buy
  • sell
Allowed:
string
enum
required
Defaults to limit

Represents the types of orders Moment currently supports.

  • limit
  • market
  • rfq_response
Allowed:
double

The Percentage Price is represented as a percentage of par. For a typical $1,000 par value bond, a percentage price of $90 values the bond at $900. This is a clean price, which does not include accrued interest.

string

Custom, arbitrary, client-provided metadata.

booking_instructions
object
required

Client-provided information to configure trade booking for the order, as a map from string to string. Passing a multi-layer JSON map or something other than "string":"string" key-value pairs will result in an error. The specific contents of this field should be determined in conjunction with the back-office integration.

boolean
required
Defaults to false

(default) false. If true, eligible for execution outside regular trading hours. In live mode, trading hours are from 9:30 am to 4:00 pm ET. Extended hours are from 7:30 am to 5:30 pm ET. For paper trading, normal trading hours are from 9:30 am to 4:00 pm ET. Extended hours are from 1:00 am to 11:00 pm ET.

rfq
object

Required for orders of type rfq_response, specifies the RFQ that the order is being placed against.

string
enum

The booking type for the account.

Allowed:
metadata
object

Metadata is an arbitrary key-value store for client-provided data associated with the order.

boolean
Defaults to false

Flag to indicate if the order requires manual review before execution.

string

Reason for why the order requires review. Only applicable when review_required is true.

string

The ID of the sleeve to place the order in. This only applies to 'buy' orders.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json